import HTMLElement_ from '../../../../../client/html';
import { System } from '../../../../../system';
import { Dict } from '../../../../../types/Dict';
import { CS } from '../../../../../types/interface/CS';
import { $MS } from '../../../../../types/interface/async/$MS';
export interface Props {
    className?: string;
    style?: Dict<string>;
    src?: string;
    stream?: $MS;
    autoplay?: boolean;
    controls?: boolean;
    attr?: Dict<string>;
}
export default class VideoComp extends HTMLElement_<HTMLVideoElement, Props> implements CS {
    constructor($props: Props, $system: System);
    captureStream({ frameRate, }: {
        frameRate: number;
    }): Promise<MediaStream>;
    requestPictureInPicture(): Promise<HTMLVideoElement>;
    play(): void;
    pause(): void;
    reset(): void;
}
